diff -ur a/src/vdpau_decode.c b/src/vdpau_decode.c
--- a/src/vdpau_decode.c	2012-10-05 10:02:58.000000000 -0500
+++ b/src/vdpau_decode.c	2014-07-18 07:42:37.240166340 -0500
@@ -1289,7 +1289,7 @@
             driver_data,
             obj_context->vdp_decoder,
             obj_surface->vdp_surface,
-            (VdpPictureInfo)&obj_context->vdp_picture_info,
+            (VdpPictureInfo*)&obj_context->vdp_picture_info,
             obj_context->vdp_bitstream_buffers_count,
             obj_context->vdp_bitstream_buffers
         );

--- a/src/utils_glx.h	2012-10-05 16:02:58.000000000 +0100
+++ b/src/utils_glx.h	2012-10-19 08:44:12.469642440 +0100
@@ -48,6 +48,13 @@ 
 typedef void (*PFNGLXRELEASETEXIMAGEEXTPROC)(Display *, GLXDrawable, int);
 #endif
 
+#if GL_GLEXT_VERSION >= 85
+/* XXX: PFNGLMULTITEXCOORD2FPROC got out of the GL_VERSION_1_3_DEPRECATED
+   block and is not defined if GL_VERSION_1_3 is defined in <GL/gl.h>
+   Redefine the type here as an interim solution */
+typedef void (*PFNGLMULTITEXCOORD2FPROC) (GLenum target, GLfloat s, GLfloat t);
+#endif
+                    
 #ifndef GL_FRAMEBUFFER_BINDING
 #define GL_FRAMEBUFFER_BINDING GL_FRAMEBUFFER_BINDING_EXT
 #endif

--- vdpau-driver-0.7.4/src/vdpau_dump.c.orig	2016-02-16 02:18:26.497963851 +0700
+++ vdpau-driver-0.7.4/src/vdpau_dump.c	2016-02-16 02:18:48.286710863 +0700
@@ -59,8 +59,8 @@
         _(VAEncSequenceParameterBufferType);
         _(VAEncPictureParameterBufferType);
         _(VAEncSliceParameterBufferType);
-        _(VAEncH264VUIBufferType);
-        _(VAEncH264SEIBufferType);
+        //_(VAEncH264VUIBufferType);
+        //_(VAEncH264SEIBufferType);
 #endif
 #if VA_CHECK_VERSION(0,31,1)
         _(VAQMatrixBufferType);
